DefaultTlsEncryptionCredentials (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class DefaultTlsEncryptionCredentials

- java.lang.Object
- - org.bouncycastle.crypto.tls.AbstractTlsCredentials
  - - org.bouncycastle.crypto.tls.AbstractTlsEncryptionCredentials
    - - org.bouncycastle.crypto.tls.DefaultTlsEncryptionCredentials

- All Implemented Interfaces:
    TlsCredentials, TlsEncryptionCredentials

      public class DefaultTlsEncryptionCredentials
      extends AbstractTlsEncryptionCredentials

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Certificate` | `certificate`
    `protected TlsContext` | `context`
    `protected AsymmetricKeyParameter` | `privateKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTlsEncryptionCredentials(TlsContext context, Certificate certificate, AsymmetricKeyParameter privateKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `decryptPreMasterSecret(byte[] encryptedPreMasterSecret)`
    `Certificate` | `getCertificate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          protected TlsContext context

    - #### certificate

          protected Certificate certificate

    - #### privateKey

          protected AsymmetricKeyParameter privateKey

  - ### Constructor Detail

    - #### DefaultTlsEncryptionCredentials

          public DefaultTlsEncryptionCredentials(TlsContext context,
                                         Certificate certificate,
                                         AsymmetricKeyParameter privateKey)

  - ### Method Detail

    - #### getCertificate

          public Certificate getCertificate()

    - #### decryptPreMasterSecret

          public byte[] decryptPreMasterSecret(byte[] encryptedPreMasterSecret)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`